// ****************************************************************************
//
// Copyright  2008 AOL LLC  All rights reserved.
// This software contains valuable confidential and proprietary information
// of AOL LLC and is subject to applicable licensing agreements.
// Unauthorized reproduction, transmission or distribution of this file and
// its contents is a violation of applicable laws.
//
//           A O L  L L C   C O N F I D E N T I A L
//
// ****************************************************************************



function component (_gadget)
{
    this.currentAttribute;
    this.panelAttributes = new Array();
}

component.prototype.addPanelAttributes = function(attribute, defaultValue)
{
    if (attribute)
    {
        if (!defaultValue) 
        {
            defaultValue = "false";
        }
        else
        {
            defaultValue = (defaultValue) ? "true" : "false";
        }
        this.panelAttributes.push(attribute);
        this._gadget.setAttribute(attribute, defaultValue);
    }
}

component.prototype.getCurrentAttribute = function()
{
    return this.currentAttribute;
}

component.prototype.showPanelByAttribute = function(attribute)
{   
    if (attribute)
    {
        propagateEventForBox(this._gadget, "panelChanging");
    
        var count = this.panelAttributes.length;
        for (var x = 0; x < count; ++x)
        {
            this._gadget.setAttribute(this.panelAttributes[x], (this.panelAttributes[x] == attribute) ? "true" : "false");
        }
        this.currentAttribute = attribute;
        propagateEventForBox(this._gadget, "panelChanged");
    }
}



