// ****************************************************************************
//
// Copyright ?2008 AOL LLC  All rights reserved.
// This software contains valuable confidential and proprietary information
// of AOL LLC and is subject to applicable licensing agreements.
// Unauthorized reproduction, transmission or distribution of this file and
// its contents is a violation of applicable laws.
//
//           A O L  L L C   C O N F I D E N T I A L
//
// ****************************************************************************

function component(_gadget)
{
}

component.prototype.getScreenName = function()
{
    return this._gadget.getPartById("buddyId").getAttribute("value");
}

component.prototype.flagStatusChanged = function()
{
    var flags = this._gadget.getAttribute("flags");
 
    // use ~a to inverts the bits ?
    
    var icon;
    if (flags == "1")
    {
        icon = this._gadget.getAttribute("buddyState");
    }
    else if (flags == "2")
    {
        icon = "message"
    }
    
    if (icon)
    {
        var newIcon = "url(#status." + icon + ")";
        if (this._gadget.getAttribute("presenceIcon") != newIcon)
        {
            this._gadget.setAttribute("presenceIcon", newIcon);
        }
    }
}

component.prototype.buddyStateUpdated = function()
{
    var buddyState = this._gadget.getAttribute("buddyState");
    var groupId = this._gadget.getAttribute("groupId");
    
    if (groupId == "Offline Buddies")
    {
        // For the offline group we show only offline buddies
        this._gadget.collapsed = (buddyState == "offline" || buddyState == "blocked") ? false : true;
    }
    else if (buddyState)
    {
        // Show only online buddies
        this._gadget.collapsed = (buddyState == "offline" || buddyState == "blocked") ? true : false;
    }
    else
    {
        this._gadget.collapsed = true;
    }
    
    this.flagStatusChanged();
}
