// ****************************************************************************
//
// Copyright ?2008 AOL LLC  All rights reserved.
// This software contains valuable confidential and proprietary information
// of AOL LLC and is subject to applicable licensing agreements.
// Unauthorized reproduction, transmission or distribution of this file and
// its contents is a violation of applicable laws.
//
//           A O L  L L C   C O N F I D E N T I A L
//
// ****************************************************************************

function component(_gadget)
{
}

component.prototype.findBuddyBox = function(aimId)
{
    var buddy;
    var id = aimId.toLowerCase();
    var child = this._gadget.firstContentChild;
    while(child)
    {   
        var nextSibling = child.nextSibling;
        if (child.tag == "buddyListBuddy")
        {
            if (child.id.toLowerCase() == id)
            {
                buddy = child;
                break;
            }
        }
        child = nextSibling;
    }
    return buddy;
}

component.prototype.onCountChanged = function()
{
    var onlineCount = this._gadget.getAttribute("onlineBuddies");
    var totalCount = this._gadget.getAttribute("totalBuddies");
    var value = onlineCount + "/" + totalCount;
    this._gadget.setAttribute("countsLabel", value);
}

component.prototype.onClick = function()
{
    var currentEvent = shell.currentEvent
    if (!currentEvent || (currentEvent.targetBox.tag != "twisty" && 
        currentEvent.targetBox.tag == "groupRow") || currentEvent.targetBox.tag == this._gadget.tag)
    {
        this.toggle();   
    }
}

component.prototype.toggle = function()
{   
    var collapsed = this._gadget.getAttribute("toggled") == "true" ? 1 : 0;
    var groupName = this._gadget.getAttribute("label");

    var group = this.scene._buddyListObj.udpateCollapsedForGroup(groupName, collapsed);

    if (groupName != "Offline Buddies")
    {
        this.scene.AIMobj.setGroupAttribute(groupName, "collapsed", collapsed);
    }
}

component.prototype.onCollapsedChanged = function()
{
    var expanded = this._gadget.getAttribute("_collapsed") == 1 ? "false" : "true";
    this._gadget.setAttribute("toggled", expanded);
}
