// ****************************************************************************
//
// Copyright ?2008 AOL LLC  All rights reserved.
// This software contains valuable confidential and proprietary information
// of AOL LLC and is subject to applicable licensing agreements.
// Unauthorized reproduction, transmission or distribution of this file and
// its contents is a violation of applicable laws.
//
//           A O L  L L C   C O N F I D E N T I A L
//
// ****************************************************************************

function component (_gadget)
{
}

// Used by the radioBox gadget
component.prototype.selectUp = function()
{
    var event = shell.currentEvent;
    var currentBox = event.currentBox;
    if (currentBox.cursorIndex > 0)
    {
        event.stopPropagation();
        // Move the cursorIndex, but don't update the selectedIndex (allows for arrow key navigation)
        currentBox.cursorIndex = (currentBox.cursorIndex-1 < 0) ? 0 : currentBox.cursorIndex-1;
    }
}

// Used by the radioBox gadget
component.prototype.selectDown = function()
{
    var event = shell.currentEvent;
    var currentBox = event.currentBox;
    if (currentBox.cursorIndex < currentBox.childCount-1)
    {
        event.stopPropagation();
        // Move the cursorIndex, but don't update the selectedIndex (allows for arrow key navigation)
        currentBox.cursorIndex = (currentBox.cursorIndex+1 < currentBox.childCount) ? currentBox.cursorIndex+1 : currentBox.childCount-1;
    }
}

component.prototype.cursorSelect = function()
{
    var event = shell.currentEvent;
    if (event.currentBox && event.currentBox.tag == this._gadget.tag)
    {
        event.stopPropagation();
        var cursorBox = event.currentBox.cursorBox;
        event.currentBox.selectedBox = cursorBox;
        this.scene.focusedBox = this._gadget;
    }
}

