// ****************************************************************************
// tabPanel.js
// ****************************************************************************
//
// Copyright ?2008 AOL LLC  All rights reserved.
// This software contains valuable confidential and proprietary information
// of AOL LLC and is subject to applicable licensing agreements.
// Unauthorized reproduction, transmission or distribution of this file and
// its contents is a violation of applicable laws.
//
//           A O L  L L C   C O N F I D E N T I A L
//
// ****************************************************************************



function component(_gadget)
{
}

component.prototype.scrollUp = function()
{
    var currentEvent = shell.currentEvent;
    if(currentEvent)
    {
        if(currentEvent.currentBox)
        {
            var box = currentEvent.currentBox;
            if(box.overflowed)
            {
                this.scrollUpHelper(box);
            }
        }
    }
}

component.prototype.scrollUpHelper = function(box)
{
    box.scrollBy(-50 * shell.uiScale / 100);
}

component.prototype.scrollDownHelper = function(box)
{
    box.scrollBy(50 * shell.uiScale / 100);
}

component.prototype.scrollDown = function()
{
    var currentEvent = shell.currentEvent;
    if(currentEvent)
    {
        if(currentEvent.currentBox)
        {
            var box = currentEvent.currentBox;
            if(box.overflowed)
            {
                this.scrollDownHelper(box)
            }
        }
    }

}